Skip to Content.
Sympa Menu

idok-commit - [idok-commit] idok commit r12 - trunk/scripts/admin/test_server

idok-commit AT lists.psi.ch

Subject: Commit emails of the iDok project

List archive

[idok-commit] idok commit r12 - trunk/scripts/admin/test_server


Chronological Thread 
  • From: "AFS account Roman Geus" <geus AT savannah.psi.ch>
  • To: idok-commit AT lists.psi.ch
  • Subject: [idok-commit] idok commit r12 - trunk/scripts/admin/test_server
  • Date: Fri, 29 Feb 2008 11:28:24 +0100
  • List-archive: <https://lists.web.psi.ch/pipermail/idok-commit/>
  • List-id: Commit emails of the iDok project <idok-commit.lists.psi.ch>

Author: geus
Date: Fri Feb 29 11:28:24 2008
New Revision: 12

Log:
Implemented download of Jambi JAR files

Modified:
trunk/scripts/admin/test_server/setup_test_server_ubuntu.sh

Modified: trunk/scripts/admin/test_server/setup_test_server_ubuntu.sh
==============================================================================
--- trunk/scripts/admin/test_server/setup_test_server_ubuntu.sh (original)
+++ trunk/scripts/admin/test_server/setup_test_server_ubuntu.sh Fri Feb 29
11:28:24 2008
@@ -36,14 +36,30 @@
IDOK_SERVER_ROOT=/var/lib/idok_server
IDOK_HOST=idokserver

-#apt-cache update
-#apt-get install sun-java6-jre
-#apt-get install ant
-#apt-get install subversion
-#apt-get install apache2
-#apt-get install openoffice.org-calc openoffice.org-draw
openoffice.org-impress openoffice.org-writer
-#apt-get install apt-get install libtiff-tools
-#apt-get install xvfb
+
+prompt() {
+ PS3='Select 1 to continue, 2 to skip: '
+ select opt in "Yes" "No"
+ do
+ break
+ done
+ [ "$opt" == "Yes" ] && return 1
+ return 0
+}
+
+echo -e "\nInstall additional packages."
+prompt
+if [ "$?" -eq "1" ]; then
+ apt-cache update
+ apt-get install sun-java6-jre
+ apt-get install ant
+ apt-get install subversion
+ apt-get install apache2
+ apt-get install openoffice.org-calc openoffice.org-draw
openoffice.org-impress openoffice.org-writer
+ apt-get install apt-get install libtiff-tools
+ apt-get install xvfb
+ apt-get install libxtst6
+fi

#
# Create directory tree and test project
@@ -242,3 +258,24 @@
# Configure services
#
update-rc.d idok defaults
+
+
+echo -e "\nDownload Qt Jambi platform specific JAR files."
+prompt
+if [ "$?" -eq "1" ]; then
+ codebase="http://www.trolltech.com/developer/download/webstart";
+ wget --directory-prefix=lib $codebase/qtjambi-win32-gpl-4.3.3_01.jar
+ wget --directory-prefix=lib $codebase/qtjambi-linux32-gpl-4.3.3_01.jar
+ wget --directory-prefix=lib $codebase/qtjambi-mac-gpl-4.3.3_01.jar
+fi
+
+echo -e "\nSign JAR files (for Java Web Start)."
+prompt
+if [ "$?" -eq "1" ]; then
+ install -D dms.jks java/ch/idok/service/common/dms.jks
+ ant -f local-server.xml sign-all-jars
+fi
+
+echo -e "\nStart iDok services."
+prompt
+[ "$?" -eq "1" ] && /etc/init.d/idok restart



  • [idok-commit] idok commit r12 - trunk/scripts/admin/test_server, AFS account Roman Geus, 02/29/2008

Archive powered by MHonArc 2.6.19.

Top of Page